package bou.amine.apps.readerforselfossv2.android.themes

import android.app.Activity
import androidx.annotation.ColorInt
import bou.amine.apps.readerforselfossv2.android.R
import com.russhwolf.settings.Settings

class AppColors(a: Activity) {

    @ColorInt val colorPrimary: Int = a.resources.getColor(R.color.colorPrimary)
    @ColorInt val colorPrimaryDark: Int = a.resources.getColor(R.color.colorPrimaryDark)
    @ColorInt val colorAccent: Int = a.resources.getColor(R.color.colorAccent)
    @ColorInt val colorAccentDark: Int = a.resources.getColor(R.color.colorAccentDark)
    val isDarkTheme: Boolean

    init {
        val settings = Settings()
        isDarkTheme =
                settings.getBoolean(
                    "dark_theme",
                    false
                )

    }

}
